/*
    Created by Quo
*/
 


-- SURVEY


-- Allow Scouts to ignore rivers and ZOC

INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SCOUTS_IGNORE_ZOC', 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC', 0, 0, NULL, NULL) ,
	('QUO_SCOUTS_IGNORE_RIV', 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_RIVERS', 0, 0, NULL, NULL) ,
	('QUO_SCOUTS_IGNORE_ZOC_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ,
	('QUO_SCOUTS_IGNORE_RIV_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ;



INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_SCOUTS_IGNORE_ZOC', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
	('QUO_SCOUTS_IGNORE_ZOC_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SCOUTS_IGNORE_ZOC',		NULL, 	NULL) , 
	('QUO_SCOUTS_IGNORE_RIV', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
	('QUO_SCOUTS_IGNORE_RIV_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SCOUTS_IGNORE_RIV',		NULL, 	NULL) ;


INSERT INTO PolicyModifiers
	(PolicyType, 		ModifierId)
VALUES	('POLICY_SURVEY',	'QUO_SCOUTS_IGNORE_ZOC_2') ,
	('POLICY_SURVEY',	'QUO_SCOUTS_IGNORE_RIV_2') ;




-- URBAN PLANNING

-- Make Granaries cheaper

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_CHEAP_GRANARY', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_CHEAP_GRANARY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'100',			NULL, 	NULL) , 
	('QUO_CHEAP_GRANARY', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_GRANARY',	NULL, 	NULL) ;


INSERT INTO PolicyModifiers
	(PolicyType, 			ModifierId)
VALUES	('POLICY_URBAN_PLANNING',	'QUO_CHEAP_GRANARY') ;



